# Decentralized Identity Foundation

![](https://imgur.com/PXGV6Xyl.png)


On May 22 at Consensus 2017 the formation of the Decentralized Identity Foundation (DIF) [was announced](https://www.ethnews.com/decentralized-identity-foundation-announces-formation-at-consensus-2017):
* [Conensus 2017 - Building an Foundation for Decentralized Identity](https://www.youtube.com/watch?v=l5laRZfn8AI) (video)
* [Decentralized Identity Foundation](https://identity.foundation/) (DIF) [[**G**](https://github.com/decentralized-identity)] [[**T**](https://twitter.com/DecentralizedID)] [[**B**](https://medium.com/decentralized-identity)] 
  >A key piece of the decentralized identity equation is how people, organizations, and devices can be identified and located without centralized systems of identifiers (e.g. email addresses). DIF members are actively working on protocols and implementations that enable creation, resolution, and discovery of decentralized identifiers and names across decentralized systems, like blockchains and distributed ledgers.
* [Decentralized Identity Foundation Grows To 56 Members In Our First Year](https://medium.com/decentralized-identity/decentralized-identity-foundation-grows-to-56-members-in-our-first-year-3ec117e811d8)
  > members sharing the goal of “building an open source decentralized identity ecosystem for people, organizations, apps, and devices” include: 
    * [1kosmos](https://onekosmos.com/product-details/) 
• [Accenture](https://www.accenture.com/us-en/insight-blockchain-id2020) 
• [aetna](https://www.aetna.com/) 
• [Authenteq](https://venturebeat.com/2018/08/30/authenteq-launches-blockchain-identity-verification-to-stop-online-trolls/) 
• [auth0](https://auth0.com/) 
• [BigchainDB](http://docs.bigchaindb.com/en/latest/)
• [BlockPass](https://www.blockpass.org/downloads/BlockpassWhitepaper.v1.3.2.pdf) 
• [Blockchain-foundry](https://www.blockchainfoundry.co/blockchain-foundry-inc-announces-new-software-release-for-blockchain-based/) 
• [Blockstack](https://github.com/blockstack/blockstack-core/blob/feature/docs-bns/docs/blockstack_naming_service.md#decentralized-identifiers-dids) 
• [British Columbia Ministry of Citizens Services](https://vonx.io/about/) 
• [botlabs](https://botlabs.org/) 
• [Civic](https://www.civic.com/solutions/kyc-services/) 
• [Consent](https://sovrin.org/steward/global-consent/) 
• [Danube](https://github.com/projectdanube/xdi2) 
• [datum](https://datum.org/) 
• [Distributed ID](https://www.diid.io/) 
• [diwala](https://diwala.io/) 
• [Dominode](https://dominode.com/) 
• [Enigma](https://blog.enigma.co/off-chain-identity-claims-with-enigma-2d5b23c31f92) 
• [Enterprise Ethereum Alliance](https://entethalliance.org/participate/working-groups/) 
• [Evernym](https://www.evernym.com/wp-content/uploads/2017/07/What-Goes-On-The-Ledger.pdf) 
• [Equinix](https://www.equinix.com/) 
• [gamecredits](https://medium.com/@gamecredits/introducing-blinking-blink-identity-management-on-the-blockchain-9258c7d76a8d)[[**ϟ**](https://blinking.id)] 
• [Gem](https://epicenter.tv/episode/207/) 
• [GS1](https://www.gs1.org/standards/id-keys) 
• [Humanized-internet](https://www.thehumanizedinternet.org/) 
• [Hyperledger](https://github.com/hyperledger/indy-sdk/blob/master/doc/getting-started/getting-started.md) 
• [ID2020](https://id2020.org/manifesto/) 
• [Ideo](https://medium.com/ideo-colab/a-framework-for-identity-f7f072829cbb) 
• [identos](https://identos.com/) 
• [IBM](https://www.ibm.com/blogs/blockchain/2018/06/self-sovereign-identity-why-blockchain/) 
• [IOTA](https://medium.com/@iotasuppoter/iota-the-case-of-decentralized-digital-identity-de7b95042c12) 
• [Jolocom](https://stories.jolocom.com/jolocom-brings-blockchain-identity-to-privacy-week-berlin-acdaee665f0) 
• [KYC-Chain](https://kyc-chain.com/) 
• [LNk-E](https://lnketech.com/) 
• [Mastercard](https://newsroom.mastercard.com/press-releases/mastercard-microsoft-join-forces-to-advance-digital-identity-innovatioeuns/) 
• [Meeco](https://meeco.me/) 
• [MetaX](https://adtoken.com/uploads/white-paper.pdf) 
• [Microsoft](https://query.prod.cms.rt.microsoft.com/cms/api/am/binary/RE2DjfY) 
• [Mooti](https://mooti.co/) 
• [netki](https://bravenewcoin.com/insights/netki-launches-digital-id-solution-which-bitt-is-using-with-central-banks-in-the-caribbean) 
• [NuID](https://nuid.io/pdfs/solution-overview.pdf) 
• [Nuggets](https://www.mobilepaymentstoday.com/news/identity-and-payments-platform-nuggets-partners-with-iot-company/) 
• [Ockam](https://www.ockam.io/) 
• [Onfido](https://onfido.com/) 
• [ONTology](https://ont.io/) 
• [Pillar](https://pillarprojectfoundation.org/blog/announcing-the-pillar-project/) 
• [R_Block](https://zinc.work/) 
• [R3](https://www.gemalto.com/press/pages/gemalto-and-r3-pilot-blockchain-technology-to-put-users-in-control-of-their-digital-id.aspx) 
• [remme](https://remme.io/features) 
• [RSA](https://www.rsa.com/en-us/research-and-thought-leadership/rsa-labs) 
• [SecureKey](https://www.ibm.com/blogs/blockchain/2018/05/self-sovereign-identity-our-recent-activity-as-a-sovrin-steward/) 
• [\<sitekit>](https://www.sitekit.net/) 
• [Sovrin](https://github.com/sovrin-foundation/sovrin/blob/master/spec/did-method-spec-template.html) 
• [suru](https://surugroup.com/philosophy/suru-identity/) 
• [Taqanu](https://www.taqanu.com/) 
• [Tierion](https://medium.com/tierion/tierion-network-update-january-19-2018-fa88c6bee69f) 
• [Trusted key](https://www.trustedkey.com/) 
• [uPort](https://github.com/uport-project/ethr-did/blob/develop/docs/index.md) 
• [Validatedid](https://www.validatedid.com/vidchain-the-future-of-digital-identity/) 
• [Veridium](https://www.veridiumid.com/) 
• [zinc](https://tykn.tech/project-zinc/) 


## Work

* [Identity Hubs Capabilities Perspective](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust-fall2017/blob/master/final-documents/identity-hubs-capabilities-perspective.md) - Identity Hubs currently proposed in the Decentralized Identity Foundation (DIF) are a subset of a general Decentralized Identifier (DID). 
  * [On DIF Hubs and Sovrin Agents](https://forum.sovrin.org/t/on-dif-hubs-and-sovrin-agents/897?u=phil)
* [A Universal Resolver for self-sovereign identifiers](https://medium.com/decentralized-identity/a-universal-resolver-for-self-sovereign-identifiers-48e6b4a5cc3c) [[**G**](https://github.com/decentralized-identity/universal-resolver)] [[**>**](#Decentralized-Identity-Foundation)]
  * [uniresolver.io](https://uniresolver.io/)
* [6/27 Masterclass on the DID Universal Resolver | Identiverse 2018](https://www.slideshare.net/Identiverse/627-masterclass-on-the-did-universal-resolver-identiverse-2018)
