# Rebooting Web Of Trust - Papers and Advance Readings Index

I wanted a list of all RWoT papers in one place, rather than having to directory hop to look for what I need. 

See the [WebofTrust.Info](http://www.weboftrust.info/) or [github.com/WebOfTrustInfo](https://github.com/WebOfTrustInfo/) for more information.

> '[Web of Trust](https://en.wikipedia.org/wiki/Web_of_trust)' is a network of relationships that attest to our identity claims. *Each party attesting to your identity information becomes a strand in your web of trust.*

## Contents

* [Selected RWoT Whitepapers](#selected-rebooting-web-of-trust-whitepapers-)
  * [Use Cases](#rwot-use-cases-) 
* [Rebooting the Web of Trust I](#rebooting-the-web-of-trust-i)
  * [Completed Papers](#completed-papers-i)
  * [Topics and Advanced Readings](##topics--advance-readings-i-)
* [Rebooting the Web of Trust II - ID2020](#rebooting-the-web-of-trust-ii---id2020-)
  * [Completed Papers](#completed-papers-ii-)
  * [Topics and Advanced Readings](##topics--advance-readings-ii-)
* [Rebooting the Web of Trust III](#rebooting-the-web-of-trust-iii-)
  * [Completed Papers](#completed-papers-iii-)
  * [Topics and Advanced Readings](##topics--advance-readings-iii-)

## Selected 'Rebooting Web of Trust' Whitepapers [**^**](#contents) 
* [WebofTrust.info/papers.html](https://www.weboftrust.info/papers.html)
* [Rebranding the Web of Trust](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust/blob/master/final-documents/rebranding-web-of-trust.pdf) Original RWoT whitepaper
* [Framework for the Comparison of Identity Systems](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust-fall2017/blob/master/topics-and-advance-readings/Framework-for-Comparison-of-Identity-Systems.md)
* [A Primer on Functional Identity](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust-fall2017/blob/master/topics-and-advance-readings/functional-identity-primer.md)
* [The DCS Theorem](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust-fall2017/blob/master/final-documents/dcs-theorem/The-DCS-Theorem.md) — We use the triangle to show decentralized consensus systems can have _Decentralization_, _Consensus_, or _Scale_, but not all three properties simultaneously.
* [Rebooting the Web of Trust VII: Toronto (September 2018)](https://github.com/WebOfTrustInfo/rwot7) - More recent thoughts.

### Use Cases [**^**](#contents)
* [Amira 1.0](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust-fall2017/blob/master/final-documents/amira.md)
* [Re-Imagining What Users Really Want](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust-spring2017/blob/master/final-documents/what-users-really-want.md)
* [Joram 1.0.0](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust-fall2016/blob/master/final-documents/joram-engagement-model.pdf)
* [Powering the Physician-Patient Relationship with HIE of One Blockchain Health IT](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop/blob/master/final-documents/physician-patient-relationship.pdf)
* [Protecting Digital Identities in Developing Countries](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop/blob/master/final-documents/protecting-digital-identities-in-developing-countries.pdf)
* [Opportunities Created by the Web of Trust for Controlling and Leveraging Personal Data](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust/blob/master/final-documents/satisfying-real-world-use-cases.pdf)



## Rebooting the Web of Trust I

* [/WebOfTrustInfo/rwot1-sf/](https://github.com/WebOfTrustInfo/rwot1-sf/)

The first Rebooting the Web of Trust design workshop, held in San Francisco, CA - November 3rd & 4th, 2015.

Its goal was to generate five technical white papers\proposals on topics that would have the greatest impact on the future.

### Completed Papers I

* **[Rebranding the Web of Trust](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/final-documents/rebranding-web-of-trust.pdf)** 
  * A history of the Web of Trust and a look at what the term could mean for the future.
    * Shannon Appelcline, Dave Crocker, Randall Farmer, and Justin Newton
  >The Web of Trust is a buzzword for a new model of decentralized self-sovereign identity. It’s a phrase that dates back almost twenty-five years, the classic definition derives from PGP [...] the vibrant blockchain community is also drawing new attention to the concept we aim to reboot it.
* **[Opportunities Created by the Web of Trust for Controlling and Leveraging Personal Data](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/final-documents/satisfying-real-world-use-cases.pdf)** 
  * Five use cases, from two relatively simple cases of managing selective disclosure to the most extreme case of establishing government-verifiable credentials from nothing for a stateless refugee.
    * du5t, Kaliya "Identity Woman" Young (@identitywoman), John Edge, Drummond Reed, and Noah Thorp
* **[Decentralized Public Key Infrastructure](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/final-documents/dpki.pdf)** 
  * A massive overview of a decentralized public-key infrastructure (DPKI).
    * Christopher Allen, Arthur Brock, Vitalik Buterin, Jon Callas, Duke Dorje, Christian Lundkvist, Pavel Kravchenko, Jude Nelson, Drummond Reed, Markus Sabadello, Greg Slepak, Noah Thorp, and Harlan T Wood
* **[Smart Signatures](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/final-documents/smart-signatures.pdf)** 
  * A system to explicitly outline and fully program conditions for verification, inspired by Bitcoin Script.
    * Christopher Allen, Greg Maxwell, Peter Todd, Ryan Shea, Pieter Wuille, Joseph Bonneau, Joseph Poon, and Tyler Close
* **[Creating the New World of Trust](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/final-documents/whats-the-next-step.pdf)** 
  * A summary of the next step for the Rebooting the Web of Trust group.
    * Shannon Appelcline
    

###  Topics & Advance Readings I [**^**](#contents)

In advance of the design workshop, all participants produced a one-or-two page topic paper to be shared with the other attendees on either:

* A specific problem that they wanted to solve with a web-of-trust solution, and why current solutions (PGP or CA-based PKI) can't address the problem?
*  A specific solution related to the web-of-trust that you'd like others to use or contribute to?

**Topic Papers Submitted**

* [Advanced Web-of-Trust Concepts](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/advanced-web-of-trust-concepts.md) 
  - Christopher Allen *[@ChristopherA](https://twitter.com/ChristopherA) \<ChristopherA@LifeWithAlacrity.com\>*
* [Attempts at common terminology for digital identity systems](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/shared_terminology_for_digital_identity_systems.md) 
  - Christian Lundkvist - *[@ChrisLundkvist](https://twitter.com/chrislundkvist) \<christian.lundkvist@consensys.net>*
* [Authorities vs. Peers: Pain Points in Security](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/authorities-vs-peers--pain-points-in-security.md) 
  - Christopher Allen *[@ChristopherA](https://twitter.com/ChristopherA) \<ChristopherA@LifeWithAlacrity.com\>* & Shannon Appelcline *[@Appelcline](https://twitter.com/Appelcline) \<ShannonA@skotos.net\>*
* [Avoiding Confused Deputy Attack Using Capabilities](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/AvoidingConfusedDeputyAttackUsingCapabilities.md) 
  - Tyler Close *\<tyler.close@gmail.com\>*
* [Binding Identity in a Decentralized System](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/binding-identity-in-decentralized-system.md) 
  - Wayne Thayer *[@WThayer](https://twitter.com/wthayer) \<wthayer@gmail.com\>*
* [Blockchain-based Trust for Software Components](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/code-and-file-signing.adoc) 
  - Sean Gilligan *[@msgilligan](https://twitter.com/msgilligan) \<sean@msgilligan.com\>*
* [Blockchain Tech Opportunities in the Web-of-Trust](blockchain-opportunities.txt) 
  - Peter Todd *[@PeterToddBTC](https://twitter.com/PeterToddBTC) \<pete@petertodd.org\>*
* [Building a Web of Trust for E-commerce](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/decentralized_e-commerce.md) 
  - Michael Folkson *[@michaelfolkson](https://twitter.com/michaelfolkson) \<michaelfolkson@gmail.com\>*
* [Cool hack with XDI graphs, blockstore, link contracts, and cryptographic identifiers](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/cool-hack-xdi-blockstore-bip32.md) 
  - Markus Sabadello *[@Peacekeeper](https://twitter.com/Peacekeeper) \<markus@projectdanube.org\>*
* [Dealing with key loss in digital identity systems](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/dealing_with_key_loss_in_digital_identity.md) 
  - Christian Lundkvist - *[@ChrisLundkvist](https://twitter.com/chrislundkvist) \<christian.lundkvist@consensys.net>*
* [Decentralized Authentication with Blockchain Auth](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/Decentralized-Authentication-with-Blockchain-Auth.md) 
  - Ryan Shea *[@ryaneshea](https://twitter.com/ryaneshea) \<ryan@onename.com\>*
* [Decentralized Cooperation Needs Decentralized Reputation](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/DecentralizedCooperationNeedsDecentralizedReputation.md) 
  - Noah Thorp *[@noahthorp](https://twitter.com/noahthorp) \<noah@citizencode.io\>*
* [Different Models for Trust](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/different-models-for-trust.md) 
  - Kaliya Hamlin *[@IdentityWoman](https://twitter.com/identitywoman) \<kaliya@identitywoman.net\>*
* [Distributed multi-ledger model for financial industry](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/DistributedMulti-ledgerModelForFinancialIndustry.md) 
  - Pavel Kravchenko *[@kravchenkopo](https://twitter.com/kravchenkopo) \<kravchenkopo@gmail.com\>*
* [Distributed Receptor-Based Computing](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/Distributed_Receptor-Based_Computing.md) 
  - Arthur Brock - *[@ArtBrock](https://twitter.com/artbrock) \<artbrock@gmail.com>*
* [Distributed Trust Systems and the Kenyesian Beauty Contest](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/Distributed-Trust-Systems-and-the-Kenyesian-Beauty-Contest.md) 
  - Joel Dietz *[@fractastical](https://twitter.com/fractastical) \<jdietz@gmail.com\>*
* [First Encounters with PGP](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/FirstEncountersWithPGP.md) 
  - Kiara Robles *[@anarchoass](https://twitter.com/anarchoass) \<kiara.robles@gmail.com\>*
* [Hierarchical Deterministic Keys: BIP32 & Beyond](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/hierarchical-deterministic-keys--bip32-and-beyond.md) 
  - Christopher Allen *[@ChristopherA](https://twitter.com/ChristopherA) \<ChristopherA@LifeWithAlacrity.com\>* & Shannon Appelcline *[@Appelcline](https://twitter.com/Appelcline) \<ShannonA@skotos.net\>*
* [How not to build an Orwellian reputation system](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/How-not-to-build-an-orwellian-reputation-system) 
  - Juan S. Galt *[@juansgalt](https://twitter.com/juansgalt) \<juans.galt@tuta.io\>*
* [Identity, Guidance and Situational Awareness](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/Identity_Guidance_and_Situational_Awareness.md) 
  - Matthew Schutte *[@MatthewJosef](https://twitter.com/matthewjosef) \<matt@calabs.org\>*
* [Identity, Property and Simulation](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/Identity-Property-Simulation.md)
  - Patrick Deegan \<pdeegan@gmail.com\>
* [Key revocation of lost and stolen keys](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/Key-revokation-of-lost-and-stolen-keys.md) 
  - Martin Koeppelmann *[@koeppelmann](https://twitter.com/koeppelmann) \<martin.koeppelmann@consensys.net \>*
* [Key Transparency for End Users](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/key-transparency-for-end-users.md) 
  - Joseph Bonneau *[@JosephBonneau](https://twitter.com/josephbonneau) \<jbonneau@cs.stanford.edu\>*
* [Knowing When Your Digital Identity Has Been Compromised](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/knowing-when-your-identity-has-been-compromised.md) 
  - Justin Newton *[@JustinwNewton](https://twitter.com/justinwnewton) \<justin@netki.com\>*
* [Lightning Network and Web of Trust](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/lightning-network-and-web-of-trust.md) 
  - Joseph Poon *\<joseph@lightning.network\>*
* [Linked Local Names](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/linked-local-names.md) 
  - Christopher Allen *[@ChristopherA](https://twitter.com/ChristopherA) \<ChristopherA@LifeWithAlacrity.com\>*
* [Modern PKI: Identity Assertions Forming Trust Networks](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/modern-pki-identity-assertions.md) 
  - Duke Dorje  *[@dukedorje](https://twitter.com/dukedorje) \<duke@citizencode.io\>*
* [PGP Paradigm](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/PGP-Paradigm.pdf) 
  - Jon Callas - *[@JonCallas](https://twitter.com/joncallas) \<jon@crypto.expert>* & Phil Zimmerman - *\<prz@mit.edu\>*
* [PKI Tools in EVM-based blockchains](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/pki_tools_in_evm_blockchains.md) 
  - ChristianLundkvist - *[@ChrisLundkvist](https://twitter.com/chrislundkvist) \<christian.lundkvist@consensys.net>*
* [Progressive Trust](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/progressive-trust.md) 
  - Christopher Allen *[@ChristopherA](https://twitter.com/ChristopherA) \<ChristopherA@LifeWithAlacrity.com\>*
* [Real life application of WoT: Refugee Use Case](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/refugee-use-case.md) 
  - Alicia Carmona *\<alicia.carmona@id2020.org\>*
* [Reputation and the Real World](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/ReputationAndTheRealWorld.md) 
  - Randy Farmer *[@FRandallFarmer](https://twitter.com/FRandallFarmer) \<randy.farmer@pobox.com\>*
* [Schnorr Signatures: An Overview](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/Schnorr-Signatures--An-Overview.md) 
  - Christopher Allen *[@ChristopherA](https://twitter.com/ChristopherA) \<ChristopherA@LifeWithAlacrity.com\>* & Shannon Appelcline *[@Appelcline](https://twitter.com/Appelcline) \<ShannonA@skotos.net\>*
* [Secret Handshake: Key Exchange as a Capability System](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/key-exchange-as-capability-system.md) 
  - Dominic Tarr *[@DominicTarr](https://twitter.com/DominicTarr) \<dominic.tarr@gmail.com\>*
* [Secure Naming on the Blockchain](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/Secure-Naming-on-the-Blockchain.md) 
  - Muneeb Ali *[@muneeb](https://twitter.com/muneeb) \<muneeb@onename.com\>* and Ryan Shea *[@ryaneshea](https://twitter.com/ryaneshea) \<ryan@onename.com\>*
* [Selective Disclosure of Identity with Hierarchical Deterministic Keys and JSON Web Tokens](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/Selective-Disclosure-of-Identity.md) 
  - Ryan Shea *[@ryaneshea](https://twitter.com/ryaneshea) \<ryan@onename.com\>*
* [Tensions related to identity and community regulation](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/tensions-related-to-identity-and-community-regulation.md) 
  - Matthew Schutte *[@MatthewJosef](https://twitter.com/matthewjosef) \<matt@calabs.org\>*
* [The Naming of Things](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/The-Naming-of-Things.txt) 
  - Matthew Schutte *[@MatthewJosef](https://twitter.com/matthewjosef) \<matt@calabs.org\>*
* [Thin Clients](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/thin-clients.md) 
  - Greg Slepak *[@TaoEffect](https://twitter.com/TaoEffect) \<hi@okturtles.com\>*
* [Trust Exchange: An Architecture for a Permanent Open Trust Network](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/Trust-Exchange-An-Architecture-for-a-Permanent-Open-Trust-Network.md) 
  - Harlan T. Wood *[@HarlanTWood](https://twitter.com/harlantwood) \<h@rlan.me \>*
* [Web of Trust with Blockchain IDs](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/Web-of-Trust-with-Blockchain-IDs.md) 
  - Ryan Shea *[@ryaneshea](https://twitter.com/ryaneshea) \<ryan@onename.com\>*
* [White Papers, Specifications & Proofs of Concept](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/white-papers--specifications---and-proof-of-concept-code.md) 
  - Christopher Allen *[@ChristopherA](https://twitter.com/ChristopherA) \<ChristopherA@LifeWithAlacrity.com\>*
* [XDI Link Contracts: An Overview](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/topics-and-advance-readings/xdi-link-contracts.md) 
  - Drummond Reed *[@DrummondReed](https://twitter.com/DrummondReed) \<drummond@respect.network\>*

---

* [How Not to build and Orwellian reputation system](How-Not-to-build-an-Orwellian-reputation-system.md) 
  - [Juan S. Galt](http://twitter.com/juansgalt)
* [Notes on the IPFS Keychain (or the Web Keychain)](ipfs-keychain.md) 
* [IPFS - The Permanent Web](ipfs-links.md)
* [multiplexed: a 'slightly radical' framing of identity](multiplexed--a-slightly-radical-framing-of-identity.md) 
  - \<[du5t@multiplexed.be](mailto:du5t@multiplexed.be)\>
* [RLPx: Cryptographic Network & Transport Protocol - Version 0.3](rlpx.md) 
  - Alex Leverington
* [Self-certifying File System](sfs.md)
* [Trust Models, Accountability, LIfeCycle and Social Context](Trust%20Models%2C%20Accountability%2C%20LIfeCycle%20and%20Social%20Context.md) 
  - by Kaliya "[Identity Woman](http://www.identitywoman.net/)" Young (formerly Hamlin)

## Rebooting the Web of Trust II - ID2020 [**^**](#contents)

* [WebOfTrustInfo/rwot2-id2020](https://github.com/WebOfTrustInfo/rwot2-id2020)

The second Rebooting the Web of Trust design workshop, in San Francisco, CA, on May 21st & 22nd, 2016. It was run in conjunction with the UN ID2020 Summit on Identity, which occurred at the UN in New York on May 20th, 2016. 

The goal of the workshop was to generate five technical white papers and/or proposals on topics decided by the group that would have the greatest impact on the future.

### Completed Papers II [**^**](#contents)

* [**Identity Crisis: Clearer Identity Through Correlation**](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/final-documents/identity-crisis.pdf) 
  * A new way to look at identity, as correlation over time.
    * Joe Andrieu, Kevin Gannon, Igor Kruiper, Ajit Tripathi, and Gary Zimmerman
* [**Powering the Physician-Patient Relationship with HIE of One Blockchain Health IT**](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/final-documents/physician-patient-relationship.pdf) 
  * Using Blockchains and DIDs for physician-patient interactions.
    * Adrian Gropper, MD
* [**Protecting Digital Identities in Developing Countries**](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/final-documents/protecting-digital-identities-in-developing-countries.pdf)
  * A real-world use case, describing issues of identity in the developing world.
    * Wayne Hennessy-Barrett
* [**Requirements for DIDs (Decentralized Identifiers)**](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/final-documents/requirements-for-dids.pdf) 
  * The first of a series of papers abou tproducing a concrete DID system.
    * Drummond Reed and Les Chasen
* [**Smarter Signatures: Experiments in Verifications**](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/final-documents/smarter-signatures.pdf) 
  * A look at uses and requirements of next-generation smart signature systems.
    * Christopher Allen and Shannon Appelcline
  

### Topics & Advance Readings II [**^**](#contents)

In advance of the [ID 2020 Design DesignShop](https://github.com/WebOfTrustInfo/rwot2-id2020/) on May 21st and 22nd, all participants were requested to submit a 1 or 2 page topics paper to be shared with other attendees on either:

* A specific decentralized identity use case related to the topic of the UN ID 2020 Summit
* A specific problem that you'd like to solve with a decentralized or web-of-trust solution, and why current solutions (pgp or ca-based pki) can't address the problem
* A specific solution related to the decentralized identity or web-of-trust that you'd like others to use or contribute to.

**The topic papers submitted:**

* [A Double Edge Sword of Having an Identity](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/topics-and-advance-readings/double_edged_identity.md) 
  - Marta Piekarska \<marta@blockstream.io\>
* [A Self-Sovereign Identity Architecture](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/topics-and-advance-readings/a-self-sovereign-identity-architecture.pdf) 
  - Manu Sporny *[@msporny](https://twitter.com/manusporny?lang=en)* and David Longley
* [Blockstack: Design and Implementation of a Global Naming System with Blockchains](https://blockstack.org/blockstack.pdf)
  - by Muneeb Ali *[@muneeb](https://twitter.com/muneeb) \<muneeb@blockstack.com\>* and Jude Nelson *[@judecnelson](https://twitter.com/judecnelson) \<jude@blockstack.com\>* and Ryan Shea *[@ryaneshea](https://twitter.com/ryaneshea) \<ryan@blockstack.com\>*
* [From Identity to Refugee Status Determination](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/topics-and-advance-readings/identity_to_refugee_status_determination.md) 
  - Susan R. Ramonat  \<SRamonat@seic.com\>
* [Peer Attestation of Identity in the Real World](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/topics-and-advance-readings/PeerAttestationofIdentity.pdf) 
  - Dr Shaun Conway & Lohan Spies
* [Sovereign Identity Namespaces](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/topics-and-advance-readings/SovereignIdentityNamespaces.pdf) 
  - Drummond Reed [@DrummondReed](https://twitter.com/drummondreed?lang=en) \<drummond@respectnetwork.com\>
* [Identity System Essentials](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/topics-and-advance-readings/Identity-System-Essentials.pdf) 
  - Samuel Smith and Dmitry Khovratovich
* [Decentralized Identifiers (DIDs) and Decentralized Identity Management (DIDM)](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/topics-and-advance-readings/DID-Whitepaper.md) 
  - Les Chasen
* [“Immutable Me” - A Discussion Paper Exploring Data Provenance To Enable New Value Chains](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/topics-and-advance-readings/immutable-me.pdf) 
  - *George Samman [@sammantic](https://twitter.com/sammantic) \<[George.Samman@meeco.me](mailto:George.Samman@meeco.me)\>  and Katryna Dow [@katrynadow](https://twitter.com/katrynadow) \<[Katryna.Dow@meeco.me](mailto:Katryna.Dow@meeco.me)\>*
* [No Secure Protocol = No Sovereign Identity](/topics-and-advance-readings/no-secure-protocol-equals-no-sovereign-identity.md) 
  - Greg Slepak *[@taoeffect](https://twitter.com/taoeffect) \<hi@okturtles.com\>*
* [Questions around key management for digital ID systems](/topics-and-advance-readings/questions_around_key_management.md)
  - by Christian Lundkvist *[@chrislundkvist](https://twitter.com/chrislundkvist) \<christian.lundkvist@consensys.net\>* and Rouven Heck *[@rh7](https://twitter.com/rh7) \<rouven.heck@consensys.net\>*
* [The Path to Self-Sovereign Identity](/topics-and-advance-readings/the-path-to-self-sovereign-identity.md) 
  - Christopher Allen *[@ChristopherA](https://twitter.com/ChristopherA) \<ChristopherA@LifeWithAlacrity.com\>*
* [Distibuted Identity Management - Verifiable Claims Exchange Via Agents](/topics-and-advance-readings/DistibutedIdentityManagement-VerifiableClaimsExchangeViaAgents.pdf) 
  - Gary Zimmerman
* [Blockstack Rules and Support for Multiple Blockchains](/topics-and-advance-readings/blockstack-rules-and-multiple-blockchains.md) 
  - Muneeb Ali *[@muneeb](https://twitter.com/muneeb) \<muneeb@blockstack.com\>
* [Plurality of Provenance in Distributed Identity](/topics-and-advance-readings/Plurality%20of%20Provenance%20in%20Distributed%20Identity.Andrieu.2016.pdf) 
  - Joe Andrieu \<[joe@joeandrieu.com](mailto:joe@joeandrieu.com)\>
* [Identity is a Phenomenon, Not a Property](/topics-and-advance-readings/Identity%20is%20a%20Phenomenon%20Not%20a%20Property.Andrieu.2016.pdf) 
  - Joe Andrieu \<[joe@joeandrieu.com](mailto:joe@joeandrieu.com)\>
* [Dex: Deterministic Predicate Expressions for Smarter Signatures](/topics-and-advance-readings/DexPredicatesForSmarterSigs.md) 
  - Peter Todd
* [Scaling a BFT Consensus Protocol for Identity](/topics-and-advance-readings/scaling-a-bft-consensus-protocol-for-identity.md) 
  - Jason Law & Lovesh Harchandani
* [XDI Graphs in IPFS](/topics-and-advance-readings/XDI-Graphs-in-IPFS.md) 
  - Markus Sabadello
* [Replace Blockchain with DLT (Distributed Ledger Technology)](https://github.com/WebOfTrustInfo/rwot2-id2020/blob/master/topics-and-advance-readings/Erik%20Anderson-USE%20CASE%20story.md) 
  - Erik Anderson
* [Blockchain For Capital Markets](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop/blob/master/topics-and-advance-readings/Blockchain_for_capital_markets.pdf)
  - Erik Anderson
* [Identity Management IdSec](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop/blob/master/topics-and-advance-readings/PM_15_026_FIN2_IdSEC_160513.pdf) 
  - Erik Anderson
* [Trust-i-ness](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop/blob/master/topics-and-advance-readings/Trust-i-ness.md) 
  - by Kaliya "Identity Woman"
* [ID2020 - Self-Sovereign Identity](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop/blob/master/topics-and-advance-readings/Rebooting%20Web%20of%20Trust%20Position%20MindMap%20-%20pre-reading%20DRAFT%20ID2020%20Summit%202016.pdf) 
  - Patrick Deegan
* [Identity and decentralised Communication](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop/blob/master/topics-and-advance-readings/Identity%20and%20decentralised%20communications.md) 
  - By Harsh Patel

---


* [Chime National Patent ID Challenge](/topics-and-advance-readings/CHIMENationalPatientIDChallenge.pdf)
* [Usability and Multiplicity in Global Identity Management](/topics-and-advance-readings/Crocker-ID-Usability-Multiplicity.md) — by D. Crocker ~ \<[dcrocker@bbiw.net](mailto:dcrocker@bbiw.net)\>
* [Decentralized Identity Satoshi Style](/topics-and-advance-readings/Decentralized-Identity-Satoshi-Style) - by Darrell Duane - \<[darrell@idi.io](mailto:darrell@idi.io)\>
* [Declaration of Identity - Printed.pdf](https://github.com/infominer33/rwot2-id2020/blob/master/topics-and-advance-readings/Declaration%20of%20Identity%20-%20Printed.pdf)
* [Identities for Moving Things](/topics-and-advance-readings/IdentitiesForMovingThings.md) - by Daniel Ford - \<[dan@keoja.com](mailto:dan@keoja.com)\>
* [Legalizing Identity Protocols for the United Nations 16.9](/topics-and-advance-readings/Legalizing-Identity-Protocols-United-Nations.md) 
* [Personal Levels of Assurance (PLOA)](/topics-and-advance-readings/PLOA%20White%20Paper%20-%20v1.01.pdf) — by J. Oliver Glasgow and Jeff Dogen, Kennie Kwong, David Chen, Johannes Jaskolski, Kevin Castellow, Dan Druta — An AT&T Whitepaper on Assurance 
* [Clues](/topics-and-advance-readings/clues.md) — by Nicola Greco
— something that serves to guide or direct in the solution of a problem or mystery. 


## Rebooting the Web of Trust III [**^**](#contents)

* [WebOfTrustInfo/rwot3-sf](https://github.com/WebOfTrustInfo/rwot3-sf)

The third Rebooting the Web of Trust design workshop, which ran in San Francisco, CA, on October 19th-21st, 2016. The goal of the workshop was to generate five technical white papers and/or proposals on topics decided by the group that would have the greatest impact on the future.

### Completed Papers III [**^**](#contents)

The design workshop exceeded its mandate by producing seven papers:

* [**DID (Decentralized Identifier) Data Model and Generic Syntax 1.0 Implementer’s Draft 01**](https://github.com/WebOfTrustInfo/rwot3-sf/tree/master/final-documents/did-implementer-draft-10.pdf)
  - The complete draft of the Decentralized IDentifier (DID) model and syntac, a project that has run through the RWOT workshops to date.
    - Drummond Reed, Les Chasen, Christopher Allen, and Ryan Grant
* [**Digital Verification Advancements at RWoT III**](https://github.com/WebOfTrustInfo/rwot3-sf/tree/master/final-documents/digital-verification-advancements.pdf)
  - A short overview of enhancements to Digital Verification that came out of RWOT III.
    - Manu Sporny with Christopher Allen, Harlan Wood, and Jason Law
* [**Embedding Human Wisdom in Our Digital Tomorrow**](https://github.com/WebOfTrustInfo/rwot3-sf/tree/master/final-documents/WisdomEmbedding-Human-Wisdom-in-Our-Digital-Tomorrow.pdf)
  - A discussion of the dangers of transferring wisdom into the digital world, seen through the lenses of vulnerability, shadows, healing, tensions, complexity and gestalt, and organizational choices.
    - Daniel Hardman, Kaliya “Identity Woman” Young, and Matthew Schutte
* [**Hubs**](https://github.com/WebOfTrustInfo/rwot3-sf/tree/master/final-documents/hubs.pdf)
  - An overview of the hubs datastore system.
    - Daniel Buchner, Wayne Vaughan, and Ryan Shea
* [**Joram 1.0.0**](https://github.com/WebOfTrustInfo/rwot3-sf/tree/master/final-documents/joram-engagement-model.pdf)
  - An Information Lifecycle Engagement Model that offers a use case for a Syrian refugee.
    - Joe Andrieu and Bob Clint
* [**Portable Reputation Toolkit Use Cases**](https://github.com/WebOfTrustInfo/rwot3-sf/tree/master/final-documents/reputation-toolkit.pdf)
  - A model and proof-of-concept implementation for decentralized verification.
    - Christopher Allen, Tim Daubenschütz, Manu Sporny, Noah Thorp, Harlan Wood, Glenn Willen, and Alessandro Voto
* [**Smart Consent Protocol**](https://github.com/WebOfTrustInfo/rwot3-sf/tree/master/final-documents/smart-consent-protocol.pdf)
  - Bringing together COALA IP and Consent to deal with digital intellectual property.
    - Dr. Shaun Conway, Lohan Spies, Jonathan Endersby, and Tim Daubenschütz

### Topics & Advance Readings III [**^**](#contents)

In advance of the design workshop, all participants produced a one-or-two page topic paper to be shared with the other attendees on either:

* A specific problem that they wanted to solve with a web-of-trust solution, and why current solutions (PGP or CA-based PKI) can't address the problem?
*  A specific solution related to the web-of-trust that you'd like others to use or contribute to?

**The topic papers submitted were:**

* [Identity as Linked Data on Immutable Ledgers](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/identity-as-linked-data-on-immutable-ledgers.md) 
  - Tim Daubenschuetz and Trent McConaghy 
* [EU General Data Protection Regulation & Self-Sovereign Identifier(s)](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/EU%20General%20Data%20Protection%20Regulation%20%26%20Self-Sovereign%20Identifier(s)) 
  - David Robert
* [Identity Forking and Federated Reputation](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/identity-forking-and-federated-reputation.md) 
  - Christopher Malon
* [OpenTimestamps: Scalable, Trustless, Distributed Timestamping with Bitcoin](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/opentimestamps.md) 
  - Peter Todd
* [Distributed Identity, Distributed Self](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/DistributedIdentityDistributedSelf.md) 
  - Natalie Smolenski
* [Blockchain Extensions for Linked Data Signatures](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/blockchain-extensions-for-linked-data-signatures.md) 
  - the Signature Super Friends (Manu Sporny, Harlan Wood, Noah Thorp, Wayne Vaughn, Christopher Allen, Jason Bukowski, and Dave Longley)
* [Fit for Purpose Blockchains](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/fit-for-purpose-blockchains.md) 
  - Digital Bazaar (Manu Sporny, Dave Longley, Dave Lehn, and Adam Lake)
* [Taxonomy of Identity Interaction Types](https://github.com/Identitywoman/Writing/blob/master/Taxonomy-of-Identity-Interaction-Types.md) 
  - Kaliya Young
* [Privacy Preserving Identity Architectures](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/privacy-preserving-identity-architectures.md) 
  - Anonymous (no, not that Anonymous, the other one)
* [A Technlogy-Free Definition of Self-Sovereign Identity](https://github.com/jandrieu/rebooting-the-web-of-trust-fall2016/raw/master/topics-and-advance-readings/a-technology-free-definition-of-self-sovereign-identity.pdf) 
  - Joe Andrieu
* [Architecture of Proof-of-Stake Blockchain that Doesn’t Have Native Coin and its Applicability to Decentralized Trading](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/Proof-of-stake-without-native-coin.md) 
  - Pavel Kravchenko
* [JXD Examples](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/JXD-Examples.md) 
  - Markus Sabadello
* [Anonymous Credentials in Sovrin](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/anonymous-credentials-in-sovrin.md)
  - Jason Law and Daniel Hardman
* [Portable Reputation Toolkit](/topics-and-advance-readings/portable-reputation-toolkit.md) 
  - Noah Thorp and Harlan Wood
* [Blockchain Attestation Taxonomies](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/attestation-taxonomies.md) 
  - Christian Lundkvist
* [Slepak's Triangle: The fundamental user limit of decentralized consensus systems](topics-and-advance-readings/Slepaks-Triangle.pdf) 
  - Greg Slepak (@taoeffect)
* [Sovereign Identity Model for Digital Ecologies](topics-and-advance-readings/Sovereign-Identity-Model-for-Digital-Ecologies.md) 
  - Patrick Deegan
* [Alternative Futures: Framework for Identity Scenarios](topics-and-advance-readings/alternative-futures-frameworks.md)
  - Alessandro Voto
* [Powering the Physician-Patient Relationship with HIW of One Blockchain Health IT](physician-patient-relationship.pdf) 
  - Adrian Gropper
* [Creating a Humanized Internet](https://github.com/vshen2010/rebooting-the-web-of-trust-fall2016/blob/master/topics-and-advance-readings/Creating%20a%20Humanized%20Internet.pdf) 
  - Monique Morrow, et al

---

* [Smart Consent Protocol](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/Consent%20and%20rights%20to%20use%20Personal%20Data.md)
  - Dr Shaun Conway, Lohan Spies, Jonathan Endersby, Tim Daubenschütz (see [Completed Papers III](#completed-papers-iii-))
* [Creating a Humanized Internet](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/Creating%20a%20Humanized%20Internet.pdf)
  - Akram Alfawakheeri \<[akram.f1_1@gmail.com](mailto:akram.f1_1@gmail.com)\>, Mark Kovarski \<mark@kovarski.org\>, Aron Dutta <\aron_dutta@yahoo.com\>, Monique Morrow \<monique.morrow223@gmail.com\>, Vivien Shen \<vshen670@gmail.com\>
* [DIDs and Personal Data Storage for Children](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/DIDsandPersonalDataStorageforChildren.pdf) 
  - Jonathan Endersby, Shaun Conway, Lohan Spies
* [BIP32-Ed25519 Hierarchical Deterministic Keys of a Non-Linear Keyspace](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/HDKeys-Ed25519.pdf) 
  - Dmitry Khovratovich, Jason Law
* [Sovrin - Digital Identities in the Blockchain Era](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/Sovrin--digital-identities-in-the-blockchain-era.pdf)
* [Alternative Futures: Framework for Identity Scenarios](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/alternative-futures-framework.md)
  - by Alessandro Voto
* [Blockchain Technologies Feature Analysis](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/blockchain-technologies-feature-analysis.md) 
  -Copyright 2016 Digital Bazaar, Inc.
* [DID (Decentralized Identifier) Specification](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/did-spec-working-draft-03.md) 
  - Editors: Drummond Reed, Les Chasen Contributors: Christopher Allen, Manu Sporny, David Longley, Jason Law, Daniel Hardman, Markus Sabadello (see [Completed Papers III](#completed-papers-iii-))
* [https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/opentimestamps-merkle-tree.png](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/opentimestamps-merkle-tree.png)
  ![](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/opentimestamps-merkle-tree.png?raw=true)
* [Towards a User Interface for Selectively Revealing Fine-Grained Personal Information to Transaction Counterparties](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/rgrant-user-interface-standards-rwot-fall2016.md)
* [Recovery strategy for user-controlled keys for self-sovereign identity](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/topics-and-advance-readings/user-controlled-key-recovery.md)

## Complete Rebooting the Web of Trust Listing

A different repository is available for each of the Rebooting the Web of Trust design workshops:

* [Rebooting the Web of Trust I: San Francisco (November 2015)](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust)
* [Rebooting the Web of Trust II: ID2020 (May 2016)](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop)
* [Rebooting the Web of Trust III: San Francisco (October 2016)](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust-fall2016)
* [Rebooting the Web of Trust IV: Paris (April 2017)](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust-spring2017)
* [Rebooting the Web of Trust V: Boston (October 2017)](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust-fall2017)
* [Rebooting the Web of Trust VI: Santa Barbara (March 2018)](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust-spring2018)
* [Rebooting the Web of Trust VII: Toronto (September 2018)](https://github.com/WebOfTrustInfo/rwot7-fall2018)

## License

All of the contents of this directory are licensed [Creative Commons CC-BY](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust/blob/master/final-documents/LICENSE-CC-BY-4.0.md) their contributors.